FROM node:lts-alpine as build-client

RUN echo "Build WebPlay Client"
RUN apk update
RUN apk add git
RUN git clone https://code.anufrij.de/WebPlay/client.git && cd client
RUN sed -i '/"electron":/d' client/package.json
RUN sed -i '/"electron-builder":/d' client/package.json
RUN sed -i '/"express":/d' client/package.json

RUN cd client && npm install 
RUN cd client && npm run build

FROM nginx:alpine

COPY --from=build-client /client/dist /usr/share/nginx/html
COPY ./docker/nginx.conf /etc/nginx/conf.d/default.conf
